Uses of Interface
org.apache.juneau.http.HttpPart
Packages that use HttpPart
Package
Description
HTTP Part Annotations
Next-generation HTTP part (query/form/path) implementations.
Next-generation REST client — transport-agnostic HTTP client built on Juneau's serialization stack.
REST HTTP Parts
-
Uses of HttpPart in org.apache.juneau.http
Methods in org.apache.juneau.http that return HttpPartModifier and TypeMethodDescriptionstatic HttpPartCreates anHttpPartwith an eager string value.static HttpPartCreates anHttpPartwith a lazy value supplier.Methods in org.apache.juneau.http with parameters of type HttpPart -
Uses of HttpPart in org.apache.juneau.http.part
Classes in org.apache.juneau.http.part that implement HttpPartModifier and TypeClassDescriptionclassAnHttpPartwhose value is a boolean.classAnHttpPartwhose value is a comma-delimited list of strings.classAnHttpPartwhose value is an ISO-8601 date-time.classAnHttpPartwhose value is an integer.classAnHttpPartwhose value is a long integer.classRoot concrete implementation ofHttpPart.classAnHttpPartwhose value is a string.classAnHttpPartwhose value is a URI.Methods in org.apache.juneau.http.part that return HttpPartModifier and TypeMethodDescriptionHttpPart[]HttpPartList.getAll()Returns all parts in this list as a typed array.Returns the first part with the given name, ornullif absent.Returns the first part with the given name (case-sensitive), ornull if absent.Returns the last part with the given name, ornullif absent.HttpPartList.Unmodifiable.remove(int index) HttpPart[]HttpPartList.toPartArray()Returns the parts in this list as a typed array.Methods in org.apache.juneau.http.part that return types with arguments of type HttpPartModifier and TypeMethodDescriptionReturns all parts with the given name in insertion order.PartList.getParts()Returns the parts in this list.HttpPartList.Unmodifiable.iterator()PartList.iterator()HttpPartList.Unmodifiable.listIterator()HttpPartList.Unmodifiable.listIterator(int index) Methods in org.apache.juneau.http.part with parameters of type HttpPartModifier and TypeMethodDescriptionvoidbooleanAppends the given part.Appends the given parts in order.static HttpPartListCreates a newHttpPartListinitialized with the given parts.static PartListCreates aPartListfrom the given parts.Sets the given part, replacing any prior entry with the same name.Sets the given parts, each replacing any prior entry with the same name.HttpPartList.setDefault(HttpPart value) Sets the given part as a default.HttpPartList.setDefault(HttpPart... values) Sets the given parts as defaults, in order.HttpPartList.Unmodifiable.setDefault(HttpPart value) HttpPartList.Unmodifiable.setDefault(HttpPart... values) Method parameters in org.apache.juneau.http.part with type arguments of type HttpPartModifier and TypeMethodDescriptionbooleanHttpPartList.Unmodifiable.addAll(int index, Collection<? extends HttpPart> c) booleanHttpPartList.Unmodifiable.addAll(Collection<? extends HttpPart> c) Appends the given parts in order.Performs an action on each part whose name matches.static HttpPartListCreates a newHttpPartListinitialized with the given parts.static PartListCreates aPartListfrom the given list of parts.booleanvoidHttpPartList.Unmodifiable.replaceAll(UnaryOperator<HttpPart> operator) voidHttpPartList.Unmodifiable.sort(Comparator<? super HttpPart> c) -
Uses of HttpPart in org.apache.juneau.rest.client
Methods in org.apache.juneau.rest.client with parameters of type HttpPartModifier and TypeMethodDescriptionAdds form fields (forapplication/x-www-form-urlencodedbodies).Adds path variable substitutions for URI templates (e.g. replaces{id}in the URL).Adds default query parameters appended to every request URL.Adds query parameters. -
Uses of HttpPart in org.apache.juneau.rest.server.httppart
Classes in org.apache.juneau.rest.server.httppart that implement HttpPartModifier and TypeClassDescriptionclassRepresents a single form-data parameter on an HTTP request.classRepresents a single path parameter on an HTTP request.classRepresents a single query parameter on an HTTP request.Methods in org.apache.juneau.rest.server.httppart with parameters of type HttpPartModifier and TypeMethodDescriptionAdds request parameter values.Adds request parameter values.Adds request parameter values.RequestFormParamList.addDefault(HttpPart... pairs) Adds default entries to these parameters.RequestPathParamList.addDefault(HttpPart... pairs) Adds default entries to these parameters.RequestQueryParamList.addDefault(HttpPart... pairs) Adds default entries to these parameters.Sets request header values.Sets request header values.Sets request header values.Method parameters in org.apache.juneau.rest.server.httppart with type arguments of type HttpPartModifier and TypeMethodDescriptionRequestFormParamList.addDefault(List<? extends HttpPart> pairs) Adds default entries to these parameters.RequestPathParamList.addDefault(List<HttpPart> pairs) Adds default entries to these parameters.RequestQueryParamList.addDefault(List<? extends HttpPart> pairs) Adds default entries to these parameters.